<template>
  <!-- 国铁重庆北站-历史到达人数添加 -->
  <div>
    <el-dialog
      :title="title + '国铁重庆北站-历史到达人数'"
      :visible.sync="showFormDia"
      width="76%"
      :before-close="handleClose"
      top="8vh"
    >
      <div>
        <el-form
          ref="formInfo"
          :rules="rules"
          :model="params"
          label-width="100px"
        >

       <el-collapse v-model="activeCollapseNames" class="form-collapse">
            <el-collapse-item name="1">
              <template slot="title">
                <span class="collapse-title">
                  <i class="collapse-title-icon el-icon-info" />
                  国铁重庆北站-历史到达人数
                </span>
              </template>


                   <el-row>
                   <el-col :span="12">
                   <el-form-item label="日期" >
                        <el-date-picker
                            v-model="params.dateTime"
                             type="datetime"
                             value-format="yyyy-MM-dd HH:mm:ss"  
                             placeholder="请选择日期时间"
                            style="width:100%;"
                         />
                   </el-form-item>
                   </el-col>
                   <el-col :span="12">
                   <el-form-item label="出发或者到达" >
                         <el-input
                           clearable
                            
                           placeholder="请输入出发或者到达"
                           v-model="params.arrive"
                         />
                   </el-form-item>
                   </el-col>
                   </el-row>
                   <el-row>
                   <el-col :span="12">
                   <el-form-item label="时间段" >
                         <el-input
                           clearable
                            
                           placeholder="请输入时间段"
                           v-model="params.timeDistance"
                         />
                   </el-form-item>
                   </el-col>
                   <el-col :span="12">
                   <el-form-item label="人数" >
                         <el-input
                           clearable
                            :maxlength="255"
                           placeholder="请输入人数"
                           v-model="params.peopleCnt"
                         />
                   </el-form-item>
                   </el-col>
                   </el-row>
                   <el-row>
                   <el-col :span="24">
                   <el-form-item label="备注" >
                         <el-input
                            :rows="3"
                           :maxlength="500"
                           show-word-limit
                            v-model="params.memo"
                            type="textarea"
                            style="width:100%;"
                         />
                   </el-form-item>
                   </el-col>
                   </el-row>

            </el-collapse-item>
          </el-collapse>
        </el-form>
         

      </div>
      <span slot="footer" class="dialog-footer">
        <el-button type="primary"   :loading="loading"  @click="handleSave">保 存</el-button>
        <el-button @click="handleClose">取 消</el-button>
      </span>
    </el-dialog>
  </div>
</template>
<script>

import DwdSjStationArrivedApi from '@/views/Manage/dwd/api/DwdSjStationArrivedApi'
import dictContracts from '@/components/dict/DictSelectUtils.js'
import CommonApi from '@/views/Manage/CommonApi.js'
import { mapState } from 'vuex'


export default {
  name: 'DwdSjStationArrivedFormDialog',
  props: {},
  components: {
  },
  data() {
    return {
      title: '新增',
      CommonApi,
      showFormDia: false,
      loading: false,
      activeCollapseNames: ['1'],
      activeTabChildName: '0',

      params: {
            dateTime: null,
            arrive: null,
            timeDistance: null,
            peopleCnt: null,
            memo: null,
      },
      rules: {
      }
    }
  },
  computed: mapState({
    header: state => {
      return {
        Authorization: `Bearer ${state.login.currentUser.token}`
      }
    }
  }),
  created() {
  },
  methods: {
    add() {
      this.title = '新增'
      this.resetForm()
      this.showFormDia = true
    },
    resetForm() {      
      this.params = {
            dateTime: null,
            arrive: null,
            timeDistance: null,
            peopleCnt: null,
            memo: null,
      }     
    },
    handleClose() {
      this.resetForm()
      this.showFormDia = false
    },
    handleSave() {
      this.$refs.formInfo.validate(valid => {
        if (valid) {
          let method
          if (!this.params.id) {
            // 新增
            method = DwdSjStationArrivedApi.addDwdSjStationArrived
          }else{
            // 修改
            method = DwdSjStationArrivedApi.editDwdSjStationArrived
          }
          this.loading = true
          method(this.params, res => {
            this.loading = false
            if (res.state) {
              this.$notify({
                type: 'success',
                message: this.title + '成功',
                duration: 2000
              })
             //this.$emit('loadData')
              this.$parent.loadData()
              this.handleClose()
            } else {
              this.$message.warning(res.message)
            }
          })
        }
      })
    },
    Update(row) {
      this.title = '修改'
      this.showFormDia = true
      this.params = row
    }
  }
}
</script>
<style lang="scss" scoped>
.step-container {
  width: 80%;
  margin: 0 auto 20px;
}
.dialog-footer {
  text-align: center;
}
</style>